#!/bin/sh

if [ -z "$1" ]; then
    # Week number since 1970 modulo 4
    week=$(expr $(date +%s) / 604800 % 4)
else
    week=$1
fi


case $week in
    0)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 2 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-only-weekly"
        ;;
    1)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 4 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-fortnightly"
        ;;
    2)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 4 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-monthly"
        ;;
    3)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 4 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-fortnightly"
        ;;
    *)
        echo "Invalid choice"
        ;;
esac
